javax.faces.el

## Class ValueBinding

- java.lang.Object
- - javax.faces.el.ValueBinding

- Deprecated.
  This has been replaced by `ValueExpression`.

      public abstract class ValueBinding
      extends Object

  ValueBinding is an object that can be used to access the property represented by an action or value binding expression. An immutable `ValueBinding` for a particular value binding can be acquired by calling the `createValueBinding()` method of the `Application` instance for this web application.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueBinding()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getExpressionString()` Deprecated. Return the (possibly `null`) expression String, including the delimiters, from which this `ValueBinding` was built.
    `abstract Class` | `getType(FacesContext context)` Deprecated. Return the type of the property represented by this `ValueBinding`, relative to the specified `FacesContext`.
    `abstract Object` | `getValue(FacesContext context)` Deprecated. Return the value of the property represented by this `ValueBinding`, relative to the specified `FacesContext`.
    `abstract boolean` | `isReadOnly(FacesContext context)` Deprecated. Return `true` if the specified property of the specified property is known to be immutable; otherwise, return `false`.
    `abstract void` | `setValue(FacesContext context, Object value)` Deprecated. Set the value of the property represented by this `ValueBinding`, relative to the specified `FacesContext`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueBinding

          public ValueBinding()

      Deprecated.

  - ### Method Detail

    - #### getValue

          public abstract Object getValue(FacesContext context)
                                   throws EvaluationException,
                                          PropertyNotFoundException

      Deprecated.

      Return the value of the property represented by this `ValueBinding`, relative to the specified `FacesContext`.

      Parameters:
        `context` - `FacesContext` for the current request
      Throws:
        `EvaluationException` - if an exception is thrown while getting the value (the thrown exception must be included as the `cause` property of this exception)
        `NullPointerException` - if `context` is `null`
        `PropertyNotFoundException` - if a specified property name does not exist, or is not readable

    - #### setValue

          public abstract void setValue(FacesContext context,
                      Object value)
                                 throws EvaluationException,
                                        PropertyNotFoundException

      Deprecated.

      Set the value of the property represented by this `ValueBinding`, relative to the specified `FacesContext`.

      Parameters:
        `context` - `FacesContext` for the current request
        `value` - The new value to be set
      Throws:
        `EvaluationException` - if an exception is thrown while setting the value (the thrown exception must be included as the `cause` property of this exception)
        `NullPointerException` - if `context` is `null`
        `PropertyNotFoundException` - if a specified property name does not exist, or is not writeable

    - #### isReadOnly

          public abstract boolean isReadOnly(FacesContext context)
                                      throws EvaluationException,
                                             PropertyNotFoundException

      Deprecated.

      Return `true` if the specified property of the specified property is known to be immutable; otherwise, return `false`.

      Parameters:
        `context` - `FacesContext` for the current request
      Throws:
        `EvaluationException` - if an exception is thrown while getting the description of the property (the thrown exception must be included as the `cause` property of this exception)
        `NullPointerException` - if `context` is `null`
        `PropertyNotFoundException` - if a specified property name does not exist

    - #### getType

          public abstract Class getType(FacesContext context)
                                 throws EvaluationException,
                                        PropertyNotFoundException

      Deprecated.

      Return the type of the property represented by this `ValueBinding`, relative to the specified `FacesContext`.

      Parameters:
        `context` - `FacesContext` for the current request
      Throws:
        `EvaluationException` - if an exception is thrown while getting the description of the property (the thrown exception must be included as the `cause` property of this exception)
        `NullPointerException` - if `context` is `null`
        `PropertyNotFoundException` - if a specified property name does not exist

    - #### getExpressionString

          public String getExpressionString()

      Deprecated.

      Return the (possibly `null`) expression String, including the delimiters, from which this `ValueBinding` was built.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.